Bug 29528 - Breadcrumbs on HTML customizations take you to news
Summary: Breadcrumbs on HTML customizations take you to news
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual, rel_21_11_candidate
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-19 12:56 UTC by Katrin Fischer
Modified: 2021-12-17 19:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This change removes the "Additional contents" breadcrumb when working with news items or HTML customizations. Since news and HTML customizations are separate links on the tools home page there's no reason to have the breadcrumbs imply the two sections are connected in any way. We already have the "See News" link, for example, for switching quickly between the two areas.
Version(s) released in:
22.05.00,21.11.01


Attachments
Bug 29528: Breadcrumbs on HTML customizations take you to news (2.52 KB, patch)
2021-11-22 16:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29528: Breadcrumbs on HTML customizations take you to news (2.58 KB, patch)
2021-11-23 16:04 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29528: Breadcrumbs on HTML customizations take you to news (2.65 KB, patch)
2021-12-02 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29528: Surround strings with span (1.49 KB, patch)
2021-12-02 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-11-19 12:56:55 UTC
Go to HTML customizations and click on it in the breadbrumbs and you'll end up on News.
Comment 1 Owen Leonard 2021-11-22 16:53:28 UTC
Created attachment 127936 [details] [review]
Bug 29528: Breadcrumbs on HTML customizations take you to news

This patch removes the "Additional contents" breadcrumb when working
with news items or HTML customizations. Since news and HTML
customizations are separate links on the Tools home page there's no
reason to have the breadcrumbs imply the two sections are connected in
any way. We already have the "See News" link, for example, for switching
quickly between the two areas.

To test, apply the patch and go to Tools -> News.

- The breadcrumbs should be: Home > Tools > News
  - Click "New entry." The breadcrumbs should be: Home > Tools > News >
    Add additional content (News). Clicking "News" should take you to
    the correct page.
- Go to Tools -> HTML customizations.
  - The breadcrumbs should be Home >  Tools > HTML customizations.
  - Click "New entry." The breadcrumbs should be: Home > Tools >  HTML
    customizations > Add additional content (HTML customizations).
    Clicking "HTML customizations" should take you to the correct page.
Comment 2 Owen Leonard 2021-11-22 16:54:50 UTC
(In reply to Owen Leonard from comment #1)
> Since news and HTML
> customizations are separate links on the Tools home page there's no
> reason to have the breadcrumbs imply the two sections are connected in
> any way.

There are other changes I'd like to make to this template along these same lines, but I don't want to hold up this patch with string changes.
Comment 3 PTFS Europe Sandboxes 2021-11-23 16:04:12 UTC
Created attachment 127964 [details] [review]
Bug 29528: Breadcrumbs on HTML customizations take you to news

This patch removes the "Additional contents" breadcrumb when working
with news items or HTML customizations. Since news and HTML
customizations are separate links on the Tools home page there's no
reason to have the breadcrumbs imply the two sections are connected in
any way. We already have the "See News" link, for example, for switching
quickly between the two areas.

To test, apply the patch and go to Tools -> News.

- The breadcrumbs should be: Home > Tools > News
  - Click "New entry." The breadcrumbs should be: Home > Tools > News >
    Add additional content (News). Clicking "News" should take you to
    the correct page.
- Go to Tools -> HTML customizations.
  - The breadcrumbs should be Home >  Tools > HTML customizations.
  - Click "New entry." The breadcrumbs should be: Home > Tools >  HTML
    customizations > Add additional content (HTML customizations).
    Clicking "HTML customizations" should take you to the correct page.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Jonathan Druart 2021-12-02 14:04:30 UTC
Created attachment 128167 [details] [review]
Bug 29528: Breadcrumbs on HTML customizations take you to news

This patch removes the "Additional contents" breadcrumb when working
with news items or HTML customizations. Since news and HTML
customizations are separate links on the Tools home page there's no
reason to have the breadcrumbs imply the two sections are connected in
any way. We already have the "See News" link, for example, for switching
quickly between the two areas.

To test, apply the patch and go to Tools -> News.

- The breadcrumbs should be: Home > Tools > News
  - Click "New entry." The breadcrumbs should be: Home > Tools > News >
    Add additional content (News). Clicking "News" should take you to
    the correct page.
- Go to Tools -> HTML customizations.
  - The breadcrumbs should be Home >  Tools > HTML customizations.
  - Click "New entry." The breadcrumbs should be: Home > Tools >  HTML
    customizations > Add additional content (HTML customizations).
    Clicking "HTML customizations" should take you to the correct page.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2021-12-02 14:04:35 UTC
Created attachment 128168 [details] [review]
Bug 29528: Surround strings with span

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Fridolin Somers 2021-12-07 21:53:30 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Kyle M Hall 2021-12-10 12:09:14 UTC
Pushed to 21.11.x for 21.11.01
Comment 8 Andrew Fuerste-Henry 2021-12-17 19:39:59 UTC
Missing dependency, not backported to 21.05.x